(******************************************************************************)
(*       _     *                                                              *)
(*      <o>    *   The Coccinelle Library / Evelyne Contejean                 *)
(*    -/@|@\-  *          CNRS-LRI-Universite Paris Sud                       *)
(*    -@ | @-  *                                                              *)
(*    -\@|@/-  *   This file is distributed under the terms of the            *)
(*      -v-    *   CeCILL-C licence                                           *)
(*             *                                                              *)
(******************************************************************************)

Require Import Relations.

Inductive comp : Set :=
  | Equivalent : comp
  | Less_than : comp
  | Greater_than : comp
  | Uncomparable : comp.

Module Type S.

Variable A : Set.
Parameter o_A : relation A.
Axiom o_A_proof : order A o_A.
Axiom o_A_dec : forall e1 e2 : A, {o_A e1 e2} + {~ o_A e1 e2}.
Axiom o_A_total : forall e1 e2 : A, {o_A e1 e2} + {o_A e2 e1}.

End S.
